# -*- coding: utf-8 _8-

# FOR DEVELOPMENT ONLY
# TODO: Move TO SCORE API

# TODO: Remove ?

from datacloud.dev_utils.ydb.lib.deploy import record_storage
from datacloud.dev_utils.ydb.lib.deploy import harvesting
from datacloud.score_api.storage.ydb.ydb_tables.config_tables.partner_tokens_table import PartnerTokensTable
from datacloud.score_api.storage.ydb.ydb_tables.config_tables.partner_scores_table import PartnerScoresTable
from datacloud.score_api.storage.ydb.ydb_tables.config_tables.score_path_table import ScorePathTable


DATA_SOURCE = record_storage.Memory()
DATA_SOURCE.set_data(
    harvesting.Harvesting(PartnerTokensTable, 'config/partner_tokens'),
    (
        {'token': 'token_1', 'partner_id': 'partner_1'},
        {'token': 'token_2', 'partner_id': 'partner_2'}
    )
)
DATA_SOURCE.set_data(
    harvesting.Harvesting(PartnerScoresTable, 'config/partner_scores'),
    (
        {'partner_id': 'partner_1', 'partner_score_name': 'score',
         'internal_score_name': 'score', 'is_active': True},
    )
)
DATA_SOURCE.set_data(
    harvesting.Harvesting(ScorePathTable, 'config/score_path'),
    (
        {'internal_score_name': 'score', 'score_path': 'some-score-path'},
    )
)
